ESourceSelector
3
LIBEDATASERVERUI Library

# ESourceSelector

## Synopsis

                        ESourceSelector;
    GtkWidget*          e_source_selector_new               (ESourceList *list);
    void                e_source_selector_select_source     (ESourceSelector *selector,
                                                             ESource *source);
    void                e_source_selector_unselect_source   (ESourceSelector *selector,
                                                             ESource *source);
    gboolean            e_source_selector_source_is_selected
                                                            (ESourceSelector *selector,
                                                             ESource *source);
    GSList*             e_source_selector_get_selection     (ESourceSelector *selector);
    void                e_source_selector_free_selection    (GSList *list);
    void                e_source_selector_show_selection    (ESourceSelector *selector,
                                                             gboolean show);
    gboolean            e_source_selector_selection_shown   (ESourceSelector *selector);
    void                e_source_selector_set_select_new    (ESourceSelector *selector,
                                                             gboolean state);
    ESource*            e_source_selector_peek_primary_selection
                                                            (ESourceSelector *selector);
    void                e_source_selector_set_primary_selection
                                                            (ESourceSelector *selector,
                                                             ESource *source);
    ESourceGroup*       e_source_selector_get_primary_source_group
                                                            (ESourceSelector *selector);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----ESourceSelector

## Implemented Interfaces

ESourceSelector implements AtkImplementorIface and GtkBuildable.

## Signals

      "popup-event"                                    : Run Last
      "primary-selection-changed"                      : Run Last
      "selection-changed"                              : Run Last

## Description

## Details

### ESourceSelector

    typedef struct _ESourceSelector ESourceSelector;

### e_source_selector_new ()

    GtkWidget*          e_source_selector_new               (ESourceList *list);

`list` :

Returns :

### e_source_selector_select_source ()

    void                e_source_selector_select_source     (ESourceSelector *selector,
                                                             ESource *source);

`selector` :

`source` :

### e_source_selector_unselect_source ()

    void                e_source_selector_unselect_source   (ESourceSelector *selector,
                                                             ESource *source);

`selector` :

`source` :

### e_source_selector_source_is_selected ()

    gboolean            e_source_selector_source_is_selected
                                                            (ESourceSelector *selector,
                                                             ESource *source);

`selector` :

`source` :

Returns :

### e_source_selector_get_selection ()

    GSList*             e_source_selector_get_selection     (ESourceSelector *selector);

`selector` :

Returns :

### e_source_selector_free_selection ()

    void                e_source_selector_free_selection    (GSList *list);

`list` :

### e_source_selector_show_selection ()

    void                e_source_selector_show_selection    (ESourceSelector *selector,
                                                             gboolean show);

`selector` :

`show` :

### e_source_selector_selection_shown ()

    gboolean            e_source_selector_selection_shown   (ESourceSelector *selector);

`selector` :

Returns :

### e_source_selector_set_select_new ()

    void                e_source_selector_set_select_new    (ESourceSelector *selector,
                                                             gboolean state);

`selector` :

`state` :

### e_source_selector_peek_primary_selection ()

    ESource*            e_source_selector_peek_primary_selection
                                                            (ESourceSelector *selector);

`selector` :

Returns :

### e_source_selector_set_primary_selection ()

    void                e_source_selector_set_primary_selection
                                                            (ESourceSelector *selector,
                                                             ESource *source);

`selector` :

`source` :

### e_source_selector_get_primary_source_group ()

    ESourceGroup*       e_source_selector_get_primary_source_group
                                                            (ESourceSelector *selector);

`selector` :

Returns :

## Signal Details

### The `"popup-event"` signal

    gboolean            user_function                      (ESourceSelector *esourceselector,
                                                            GObject         *arg1,
                                                            GdkEvent        *event,
                                                            gpointer         user_data)            : Run Last

`esourceselector` :

  the object which received the signal.

`arg1` :

`event` :

`user_data` :

  user data set when the signal handler was connected.

Returns :

### The `"primary-selection-changed"` signal

    void                user_function                      (ESourceSelector *esourceselector,
                                                            gpointer         user_data)            : Run Last

`esourceselector` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.

### The `"selection-changed"` signal

    void                user_function                      (ESourceSelector *esourceselector,
                                                            gpointer         user_data)            : Run Last

`esourceselector` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.